Package org.eclipse.jdt.launching.sourcelookup

# Interface IJavaSourceLocation

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`

All Known Implementing Classes:
  `ArchiveSourceLocation`, `DirectorySourceLocation`, `JavaProjectSourceLocation`, `PackageFragmentRootSourceLocation`

@Deprecated public interface IJavaSourceLocation extends org.eclipse.core.runtime.IAdaptable
Deprecated.
In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0. The new facilities provide a source lookup director that coordinates source lookup among a set of participants, searching a set of source containers. See the following packages: `org.eclipse.debug.core.sourcelookup` and `org.eclipse.debug.core.sourcelookup.containers`. This interface has been replaced by `org.eclipse.debug.core.sourcelookup.ISourceContainer`.
A repository of source code. A source location is capable of retrieving source elements.

For example, a source location could be a project, zip/archive file, or a directory in the file system.

This interface is may be implemented by clients.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`Object`
`findSourceElement(String name)`
Deprecated.
Returns an object representing the source code for a type with the specified name, or `null` if none could be found.
`String`
`getMemento()`
Deprecated.
Returns a memento for this source location from which this source location can be reconstructed.
`void`
`initializeFrom(String memento)`
Deprecated.
Initializes this source location from the given memento.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Method Details

### findSourceElement

Object findSourceElement(String name) throws org.eclipse.core.runtime.CoreException
Deprecated.
Returns an object representing the source code for a type with the specified name, or `null` if none could be found. The name is a fully qualified type name, and may contain the '$' character when referring to inner types. For example, `java.lang.String`. The source element returned is implementation specific - for example, a resource, a local file, a zip file entry, etc.

Parameters:
  `name` - fully qualified name of the type for which source is being searched for
Returns:
  source element
Throws:
  `org.eclipse.core.runtime.CoreException` - if an exception occurs while searching for the specified source element

### getMemento

String getMemento() throws org.eclipse.core.runtime.CoreException
Deprecated.
Returns a memento for this source location from which this source location can be reconstructed.

Returns:
  a memento for this source location
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to create a memento

### initializeFrom

void initializeFrom(String memento) throws org.eclipse.core.runtime.CoreException
Deprecated.
Initializes this source location from the given memento.

Parameters:
  `memento` - a memento generated by this source location
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to initialize this source location